# The create GUI toolkit packages for debian

This package will create a .deb package of the GUI toolkits binaries

![Debian image](https://www.debian.org/logos/openlogo.svg)
*[Debian logo][rf], licensed under [Creative Commons 3.0 Attributions license][cc3-by].*

The package source files are distributed under the various licenses. Some are proprietary
because the underlying OS is proprietary. Whenever possible, the Linux ones are GPL.

#### Install the toolkits from source

To build all the toolkits so you can build your own GUI applications:

```go
    go get -v go.wit.com/toolkits/debian
    cd ~/go/src/toolkits/debian
    make
```
To build the go-gui-toolkits .deb package:
```go
    go get go.wit.com/apps/go-deb@latest
    go-deb go.wit.com/apps/go-gui-toolkits
```

This will put the debian package in your ~/incoming/ directory

### Contributing

To contribute, please refer to [go.wit.com](http://go.wit.com)

[rf]: https://debian.org/
[cc3-by]: https://creativecommons.org/licenses/by/3.0/
